# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/01_atyp.ipynb.

# %% auto 0
__all__ = ['P', 'intfloatq', 'MaskInfo']

# %% ../nbs/01_atyp.ipynb 6
#| export

# %% ../nbs/01_atyp.ipynb 8
from typing import TypeAlias, Literal, Union, ParamSpec, TypedDict

# %% ../nbs/01_atyp.ipynb 10
#| export


# %% ../nbs/01_atyp.ipynb 12
from quac import size as Size, bbox as BBox

# %% ../nbs/01_atyp.ipynb 14
#| export


# %% ../nbs/01_atyp.ipynb 16
P = ParamSpec('P')

intfloatq : TypeAlias = int | float | None

# %% ../nbs/01_atyp.ipynb 18
class MaskInfo(TypedDict):
    '''Typed dictionary for specifying mask information.

    Attributes
    ----------
    size : tuple
        The size of the mask.

    masks : dict[str, BBox]
        A dictionary mapping mask names to their values.

    value : tuple
        The value to be applied for the mask.

    Examples
    --------
    >>> white = (255, 255, 255)
    >>> mask_bbox = ((0, 5), (10, 15))
    >>> mask_info = MaskInfo(size=(32, 32), masks={'example': mask_bbox}, value=white)
    '''
    size: Size
    '''The size of the mask.'''
    masks: dict[str, BBox]
    '''A dictionary mapping mask names to their values.''';
    value: tuple
    '''The value to be applied for all masks in this dictionary.''';

# %% ../nbs/01_atyp.ipynb 20
#| export
